SQL API
Submits a SQL statement for execution¶
POST/api/v2/statements
Submits one or more statements for execution. You can specify that the statement should be executed asynchronously.
Response¶
| Code | Description |
|---|---|
| 200 | The statement was executed successfully, and the response includes any data requested. |
| 202 | The execution of the statement is still in progress. Use GET /statements/ and specify the statement handle to check the status of the statement execution. |
Checks the status of the execution of a statement¶
GET/api/v2/statements/{statementHandle}
Checks the status of the execution of the statement with the specified statement handle. If the statement was executed successfully, the operation returns the requested partition of the result set.
Response¶
| Code | Description |
|---|---|
| 200 | The statement was executed successfully, and the response includes any data requested. |
| 202 | The execution of the statement is still in progress. Use this method again to check the status of the statement execution. |
Cancels the execution of a statement¶
POST/api/v2/statements/{statementHandle}/cancel
Cancels the execution of the statement with the specified statement handle.
Response¶
| Code | Description |
|---|---|
| 200 | The execution of the statement was successfully canceled. |